echo
echo "The author would like to receive a mail message reporting"
echo "that you are using his text editor."
echo "Type "n" if you already sent or don't want to send such message."
echo
echo "Shall I send a mail to fjp@minerva.inesc.pt ? "

set ans = "y"
read ans

if test "$ans" != "n" -a "$ans" != "N" -a "$ans" != "no"
then
    echo
    echo "Sending a NewUser report to the author..."
    echo "Ted compiled sucessfuly ." > user_id_file
    echo "At host: " >> user_id_file
    hostname >> user_id_file
    echo "User name: " >> user_id_file
    who am i >> user_id_file
    mailx fjp@minerva.inesc.pt < user_id_file
    rm -f user_id_file
else
    echo
    echo "No message was sent."
    echo "You won't automaticaly receive upgrades..."
fi

echo
